ACE (Agentic Commerce Engine)
API ReferenceWebhooksIdDeliveries

List webhook deliveries

GET
/webhooks/{id}/deliveries

List delivery attempts for a subscription, most recent first. Paginated.

Authorization

AuthorizationBearer <token>

API key in the Authorization header: Authorization: Bearer ace_live_.... Use an ace_test_... key for the free, rate-capped sandbox.

In: header

Path Parameters

id*string

Query Parameters

status?string

Value in

  • "pending"
  • "delivered"
  • "failed"
  • "retrying"
page?integer
Default1
pageSize?integer
Default50

Response Body

application/json

application/json

application/json

curl -X GET "https://example.com/webhooks/string/deliveries"
{  "data": [    {      "id": "string",      "subscription_id": "string",      "event_type": "string",      "status": "pending",      "attempts": 0,      "response_status": 0,      "delivered_at": "2019-08-24T14:15:22Z",      "created_at": "2019-08-24T14:15:22Z"    }  ],  "meta": {    "pagination": {      "page": 1,      "pageSize": 50,      "total": 128,      "totalPages": 3    }  }}
{  "error": {    "code": "INSUFFICIENT_CREDITS",    "message": "Not enough credits for this request.",    "details": null  }}
{  "error": {    "code": "INSUFFICIENT_CREDITS",    "message": "Not enough credits for this request.",    "details": null  }}